import org.omg.CORBA.ORB;

import PlaceMarche.Bourse;
import PlaceMarche.BourseHelper;


public class Client {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
        ORB orb = ORB.init(args, null);

       // utilisation des URL 
        org.omg.CORBA.Object obj = orb.string_to_object( 
            "corbaname::localhost:1050#PalaisBrongniart");

        Bourse brognard = BourseHelper.narrow( obj );

        // Appel des cours toutes les minutes
        while( true ) {
            System.out.println( "Appel de la bourse persistante.." );
            double cours = brognard.obtenirPrix("Orange");
            System.out.println("Cours de bourse: " +
                cours );
            System.out.println( "Arret du serveur persistant.." );
            brognard.shutdown( );
            try {
				Thread.sleep( 60000 );
			} catch (InterruptedException e) {
		
				e.printStackTrace();
			}

	}

}}
