
import java.util.Properties;

import org.omg.CORBA.ORB;
import org.omg.CORBA.ORBPackage.InvalidName;
import org.omg.CosNaming.NamingContextExt;
import org.omg.CosNaming.NamingContextExtHelper;
import org.omg.CosNaming.NamingContextPackage.CannotProceed;
import org.omg.CosNaming.NamingContextPackage.NotFound;

import PlaceMarche.Bourse;
import PlaceMarche.BourseHelper;


public class Client {


	public static void main(String[] args) {
		   Properties properties = System.getProperties();
		      properties.put( "org.omg.CORBA.ORBInitialHost",
		          "localhost" );
		      properties.put( "org.omg.CORBA.ORBInitialPort",
		          "1050" );
	
	    ORB orb = ORB.init(args, null);
	    // Recuperation du service de nommage

	    org.omg.CORBA.Object refAnnuaire;
		try {
			refAnnuaire = orb.resolve_initial_references("NameService");
			 NamingContextExt annuaireDistant = NamingContextExtHelper.narrow(refAnnuaire);
			    
			    // recuperation de la reference de l'objet
			    Bourse brongniart=BourseHelper.narrow(annuaireDistant.resolve_str("PalaisBrongniart"));

			    System.out.println(brongniart.obtenirPrix("Orange"));
		} catch (InvalidName e) {
	
			e.printStackTrace();
		} catch (NotFound e) {

			e.printStackTrace();
		} catch (CannotProceed e) {
	
			e.printStackTrace();
		} catch (org.omg.CosNaming.NamingContextPackage.InvalidName e) {
	
			e.printStackTrace();
		}
	   
	}

}
