import java.util.Properties;

import org.omg.CORBA.ORB;
import org.omg.PortableServer.POA;
import org.omg.PortableServer.POAHelper;

import finance.Banque;
import finance.BanqueHelper;
import finance.Compte;
import finance.CompteHelper;
import finance.CompteImpl;


public class Client {

	public static void main(String[] args) {
		Properties properties = System.getProperties();
	      properties.put( "org.omg.CORBA.ORBInitialHost",
	          "localhost" );
	      properties.put( "org.omg.CORBA.ORBInitialPort",
	          "1050" );
	    // Initialisation de l'ORB
	    ORB orb = ORB.init(args, null);
	    try{
	    // on obtient le POA
POA rootpoa = POAHelper.narrow(orb.resolve_initial_references("RootPOA"));
		
	    rootpoa.the_POAManager().activate();
	    
	    Banque banque=BanqueHelper.narrow(
	    		orb.string_to_object(
	    				"corbaname:iiop:1.2@localhost:1050#BanqueHasard"));
	    CompteImpl compte= new CompteImpl();
	    rootpoa.activate_object(compte);
	    Compte ref = CompteHelper.narrow(
                rootpoa.servant_to_reference(compte));
	    banque.enregistrerCompte(ref);
	    System.out.println("Compte cree");
	    //

	} catch(Exception e) {e.printStackTrace();}}

}
