import java.util.Properties;

import org.omg.CORBA.ORB;

import finance.Banque;
import finance.BanqueHelper;
import finance.Compte;

/* Annick Fron
 * Cet exemple illustre le passage par valeur par value type
 */

public class Client {


	public static void main(String[] args) {
		Properties properties = System.getProperties();
	      properties.put( "org.omg.CORBA.ORBInitialHost",
	          "localhost" );
	      properties.put( "org.omg.CORBA.ORBInitialPort",
	          "1050" );
	    // initialisation de l'ORB
	    ORB orb = ORB.init(args, null);
	    Banque banque=BanqueHelper.narrow(
	    		orb.string_to_object(
	    				"corbaname:iiop:1.2@localhost:1050#BanqueHasard"));
	    Compte A = banque.creerCompte(1234);
	    System.out.println(A.obtenirNumero());
	    A.modifierNomClient("Dupont");

	}

}
